GCLOUD_COMPUTE_INSTANCES_MOVE(1)

NAME

gcloud compute instances move - move an instance between zones

SYNOPSIS

gcloud compute instances move INSTANCE --destination-zone DESTINATION_ZONE [--zone ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute instances move facilitates moving a Google Compute Engine virtual machine from one zone to another. Moving a virtual machine may incur downtime if the guest OS must be shutdown in order to quiesce disk volumes prior to snapshotting. For example, running:.RS 2m $ gcloud compute instances move example-instance-1 \
   --zone us-central1-b --destination-zone us-central1-f
will move the instance called example-instance-1, currently running in us-central1-b, to us-central1-f.

POSITIONAL ARGUMENTS
INSTANCE
    The name of the instance to move.

REQUIRED FLAGS
--destination-zone DESTINATION_ZONE
    The zone to move the instance to.

OPTIONAL FLAGS
--zone ZONE
    The zone of the instance to move. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.